"""
Django settings for Twitter project.

Generated by 'django-admin startproject' using Django 2.1.1.

For more information on this file, see
https://docs.djangoproject.com/en/2.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.1/ref/settings/
"""

import os
# For email settings
import yaml
# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
GOOGLE_RECAPTCHA_SECRET_KEY = "6LcdkOMZAAAAAKabDNa8X-BKoksTLiwgqkI4akFm"

# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'c*x@tai5cgwv+@l-fa)+43f5vr%hrmi&#59637zul5u5neh8hi'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False


ALLOWED_HOSTS = ['34.66.198.6','35.238.90.61','127.0.0.1']

# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'login',
	'project',
     'visualize',
	 	'django_elasticsearch_dsl',

	 
] 
# For elasticsearch
ELASTICSEARCH_DSL={
    'default': {
        'hosts': 'localhost:9200',
	'timeout':60
    },
}


MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.http.ConditionalGetMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'Twitter.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [BASE_DIR + "/Twitter/templates", ],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'Twitter.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.1/ref/settings/#databases
# tweet-miner-servers-vm-0
DATABASES = {
    'default': {
        'ENGINE': 'djongo',
        'NAME': 'project',
	'HOST': 'mongodb://localhost/project:',
	'PORT':27017
    }
}
with open('/home/acumen_analytica_dev1/django/settings.yaml', 'r') as f:
    doc = yaml.safe_load(f)
	
EMAIL_USE_TLS = doc['Email']['EMAIL_USE_TLS']
EMAIL_HOST = doc['Email']['EMAIL_HOST']
EMAIL_HOST_USER = doc['Email']['EMAIL_HOST_USER']
EMAIL_HOST_PASSWORD = doc['Email']['EMAIL_HOST_PASSWORD']
EMAIL_PORT = doc['Email']['EMAIL_PORT']
# Password validation
# https://docs.djangoproject.com/en/2.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization
# https://docs.djangoproject.com/en/2.1/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True


# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.1/howto/static-files/

STATIC_URL = '/Twitter/templates/'
#STATICFILES_DIRS=(os.path.join(BASE_DIR,'Twitter','templates'),)
STATIC_ROOT='/home/acumen_analytica_dev1/django/Twitter/templates/'
